Description

Textile and Markdown formatter in Redmine adds "external" class to a element when rendering links to an external site. Here is an

exmaple:

Textile:

"Redmine":http://www.redmine.org/

 Rendered HTML:

<a class="external" href="http://www.redmine.org/">

 Although those formatters adds "external" class like as above, links on custom field values, which can be configured in "Link values

to URL" of custom fields, don't have "external" class. I am in trouble with this behavior because I use UI theme that provides

JavaScript code which opens external link in a new browser window (please see 

https://github.com/farend/redmine_theme_farend_basic/blob/master/javascripts/theme.js#L3).

I think that links on custom field should have "external" class for consistency and convenience. Attaching a patch to fix this.

Associated revisions

Revision 17138 - 2018-01-01 07:18 - Go MAEDA

Links for custom field value don't have "external" class (#27024).

Patch by Go MAEDA.

History

#1 - 2017-09-18 16:56 - Go MAEDA

- File deleted (add-external-class-to-cf-link.diff)

#2 - 2017-09-18 16:59 - Go MAEDA

- File add-external-class-to-cf-link.diff added

Sorry, replaced the patch. The previous patch contained irrelevant codes.

#3 - 2017-10-18 04:09 - Toshi MARUYAMA

- Target version set to 4.1.0

#4 - 2017-11-28 06:13 - Takenori TAKAKI

LGTM :)

I tested Go MAEDA's patch on the Latest trunk@17038.

#5 - 2017-11-28 17:10 - Go MAEDA

- File add-external-class-to-cf-link-v2.diff added

Attaching an updated patch. Fixed test failure.

Failure:
https://github.com/farend/redmine_theme_farend_basic/blob/master/javascripts/theme.js#L3


Redmine::ListFieldFormatTest#test_field_with_url_pattern_and_multiple_values_should_link_values [test/unit/lib

/redmine/field_format/list_format_test.rb:141]:

--- expected

+++ actual

@@ -1 +1 @@

-"<a class=\"external\" href=\"http://localhost/bar\">bar</a>, <a href=\"http://localhost/foo\">foo</a>" 

+"<a class=\"external\" href=\"http://localhost/bar\">bar</a>, <a class=\"external\" href=\"http://localhost/f

oo\">foo</a>" 

bin/rails test test/unit/lib/redmine/field_format/list_format_test.rb:138

#6 - 2018-01-01 07:20 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed.

Files

add-external-class-to-cf-link.diff 10.7 KB 2017-09-18 Go MAEDA

add-external-class-to-cf-link-v2.diff 9.45 KB 2017-11-28 Go MAEDA
